# Uses of Class
javafx.concurrent.Task

Packages that use Task
Package
Description
javafx.concurrent
Provides the set of classes for javafx.task.

## Uses of Task in javafx.concurrent

Methods in javafx.concurrent that return Task
Modifier and Type
Method
Description
`protected abstract Task<V>`
Service.`createTask()`
Invoked after the Service is started on the JavaFX Application Thread.
Methods in javafx.concurrent with parameters of type Task
Modifier and Type
Method
Description
`protected void`
ScheduledService.`executeTask(Task<V> task)`
`protected void`
Service.`executeTask(Task<V> task)`
Uses the `executor` defined on this Service to execute the given task.